# A signed, expiring download link

`POST /assets/{id}/link` · Rivier · files

A signed, expiring download link.

- Scope: files:write
- Mcp: rivier_assets_link
- Graphql: Mutation.filesAssetLink
- Sdk: files.asset.link
- Cli: files asset link

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "ttlSeconds": {
      "type": "integer",
      "minimum": 30,
      "maximum": 604800
    },
    "version": {
      "type": "string",
      "format": "uuid"
    },
    "variant": {
      "type": "string",
      "maxLength": 40
    },
    "disposition": {
      "type": "string",
      "enum": [
        "inline",
        "attachment"
      ]
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/assets/{id}/link' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ttlSeconds": 0,
  "version": "string",
  "variant": "string",
  "disposition": "inline"
}'
```
